import {
	baseRequest
} from '@/utils/request'

const request = (url, ...arg) => baseRequest(`/basic.info/grainPriceCollect/` + url, ...arg)
// const request1 = (url, ...arg) => baseRequest(`/basic.info/grainPriceCollect/` + url, ...arg)
// const request2 = (url, ...arg) => baseRequest(`/basic.info/grainPriceCollect/` + url, ...arg)


/**
 * 粮食价格采集Api接口管理器
 *
 * @author weiyinbin
 * @date  2024/04/10 16:30
 **/
export default {
	// 获取粮食价格采集分页
	bizGrainPriceCollectPage(data) {
		return request('findPage', data, 'get')
	},

	// 提交粮食价格采集表单编辑
	bizGrainPriceCollectSubmitForm(data) {
		return request('edit', data.params, 'post')
	},

	// 删除粮食价格采集
	bizGrainPriceCollectDelete(data) {
		return request('delete', data)
	},
	// 获取粮食价格采集详情
	bizGrainPriceCollectDetail(data) {
		return request('detail', data, 'get')
	},
	//审核粮食价格采集
	bizGrainPriceCollectAudit(data) {
		return request('audit', data, 'get')
	}
}